import { RoughAnnotation } from 'rough-notation/lib/model';
import { Observable } from 'rxjs';
import { RoughAnnotationConfig } from './rough-annotation-config';
import * as i0 from "@angular/core";
export declare class RoughNotationService {
    private defaultConfig;
    private visibilitySubject;
    instance: RoughAnnotation;
    inputConfig: Partial<RoughAnnotationConfig>;
    visibilityState$: Observable<boolean>;
    /**
     * Generate config object from defaults and input overrides
     */
    get config(): RoughAnnotationConfig;
    constructor(defaultConfig: RoughAnnotationConfig);
    instantiate(element: HTMLElement): RoughAnnotation;
    destroy(): void;
    toggleVisibility(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoughNotationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoughNotationService>;
}
